.contenedor_catalogo{
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    min-height: 300px;
    width: 100%;
    max-width: 1350px;
    margin: 0% auto;
    margin-top: 20px;
    padding: 5px 1%;
    margin-bottom: 70px;
}
.catalogo_anuncios{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(310px,310px));
    justify-content: center;
    column-gap: 10px;
    row-gap: 10px;
}
.tarjeta_catalogo{
    width: 100%;
    max-width: 310px;
    height: 430px;
    background-color: #e9e9ed;
    border-radius: 8px;
    overflow: hidden;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    text-decoration: none;
    position: relative;
}
.tarjeta_premium{
    border: 2px solid #4fbfe8;
}
.tarjeta_premium .descripcion_tarjeta{
    background-color: #4fbfe8 !important;
}
.tarjeta_premium .descripcion_tarjeta p{
    color: #202020 !important;
}
.tarjeta_premium .datos_anuncio{
    color: #202020 !important;
}
.tarjeta_premium .intencion_anuncio{
    color: #202020 !important;
}
.tarjeta_destacado{
    border: 2px solid#f5b942;
}
.tarjeta_destacado .descripcion_tarjeta{
    background-color: #f5b942 !important;
}
.tarjeta_destacado .descripcion_tarjeta p{
    color: #202020 !important;
}
.tarjeta_destacado .datos_anuncio{
    color: #202020 !important;
}
.tarjeta_destacado .intencion_anuncio{
    color: #202020 !important;
}
.tarjeta_catalogo .imagen_tarjeta{
    max-width: 100%;
    height: 250px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}
.tarjeta_catalogo .imagen_tarjeta img{
    width: 100%;
}
.tarjeta_catalogo .descripcion_tarjeta{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
    width: 100%;
    height: 100px;
    background-color: #202020;
    text-transform: uppercase;
}
.tarjeta_catalogo .visitas_anuncio{
    position: absolute;
    left: 0px;
    top: 0px;
    display: flex;
    flex-direction: row;
    align-items: center;
    background-color:rgba(32, 32, 32, 0.80);
    border: 1px solid #202020;
    padding: 3px 8px;
    width: max-content;
    border-bottom-right-radius: 5px;
}
.tarjeta_catalogo .visitas_anuncio span{
    color: #fff;
}
.tarjeta_catalogo .visitas_anuncio img{
    max-width: 20px;
    margin-right: 5px;
}
.tarjeta_catalogo .descripcion_tarjeta .titulo_anuncio{
    text-align: center;
    color: #e9e9ed;
    margin-bottom: 5px;
}
.tarjeta_catalogo .descripcion_tarjeta .datos_anuncio{
    text-align: center;
    color: #e9e9ed;
    font-size: 12px;
    margin-bottom: 5px;
}
.tarjeta_catalogo .descripcion_tarjeta .intencion_anuncio{
    text-align: center;
    color: #e9e9ed;
    font-size: 12px;
}
.precio_tarjeta{
    flex: 1;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 5px 30px;
}
.precio_tarjeta .cuotas,.precio_tarjeta .contado{
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
    flex-direction: column;
    font-weight: 500;
}
.precio_tarjeta .contado p,.precio_tarjeta .contado span{
    color: #202020;
    font-size: 14px;
}
.precio_tarjeta .cuotas p,.precio_tarjeta .cuotas span{
    color: #202020;
    font-size: 14px;
}
.contenedor_rangos{
    display: flex;
    gap: 5px;
}
.precio_minimo,.precio_maximo,.anho_desde,.anho_hasta{
    flex: 1;
    min-width: 0;
}
.boton_filtrar,.boton_eliminar_filtros{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 35px;
    cursor: pointer;
    background-color: #23417d;
    color: #fff;
    border: none;
    border-radius: 3px;
    margin-top: 10px;
    font-size: 15px;
    font-weight: 500;
}
.boton_eliminar_filtros{
    margin-top: 5px;
    background-color: #ff0000;
    text-decoration: none;
}
.boton_filtrar:hover,.boton_eliminar_filtros:hover{
    opacity: 0.8;
    transition: all .1s ease-out;
}
.contenedor_categorias{
    display: flex;
    flex-wrap: wrap;
    gap: 6px;
}
.boton_categoria{
    display: flex;
    align-items: center;
    justify-content: center;
    width: auto;
    padding: 0 12px;
    height: 33px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 5px;
    cursor: pointer;
    box-sizing: border-box;
    transition: .2s;
}
.boton_categoria input{
    display: none;
}
.boton_categoria:hover{
    background: #e7f1fc;
}
.boton_categoria:has(input:checked){
    background: #007bff;
    color: white;
    border-color: #007bff;
}
.contenedor_filtros input,.contenedor_filtros select{
    height: 35px;
    width: 100%;
    background-color: #fff;
    border: none;
    border-radius: 5px;
    color: black;
    font-size: 13px;
    transition: 0.1s ease-in;
    padding: 0px 10px;
    outline: none;
    border: 1px solid #dddddd;
    transition: all .1s ease-out;
    outline: none;
}
.contenedor_filtros input:focus,.contenedor_filtros select:focus{
    border: 1px solid #1a73e8;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px rgba(26, 115, 232, 0.2);
}
.contenedor_titulo_filtros{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 5px;
}
.contenedor_filtros{
    background-color: transparent;
    display: flex;
    flex-direction: column;
    padding-right: 30px;
    padding: 12px 20px;
    height: max-content;
    width: 100%;
    max-width: 270px;
    border-radius: 5px;
    text-transform: capitalize;
    background-color: #fff;
    overflow: hidden;
    transition: 0.2s ease-in-out;
}
.contenedor_filtros.activo{
    height: max-content;
    margin-bottom: 10px;
}
.contenedor_filtros span{
    font-size: 1.1em;
    color: #1a1919;
    font-weight: 600;
}
.contenedor_filtros .categoria_activa{
    color: rgb(36, 166, 253);
    padding-left: 5px;
}
.contenedor_filtros .titulo_filtros{
    text-transform: capitalize;
    font-size: 20px;
    font-weight: 600;
}
.contenedor_filtros .subtitulo_filtros{
    color: #2d3748;
    text-transform: capitalize;
    font-size: 15px;
    font-weight: 500;
    margin-top: 5px;
}
.contenedor_maestro_categoria{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.contenedor_subcategorias{
    overflow: hidden;
    padding-left: 5px;
}
.contenedor_indices{
    margin: 3% 0%;
    width: auto;
    height: 40px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
.boton_indice{
    background-color: transparent;
    color: #535353;
    font-weight: 700;
    font-size: 14px;
    width: 30px;
    height: 30px;
    cursor: pointer;
    margin: 0px 5px;
    border-radius: 2px;
    border: 1px solid #f2f2f2;
    outline: none;  
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
}
.boton_indice.activo{
    border: none;
    color: #ffffff;
    background-color: #23417d;
}
.boton_desplegar_filtros{
    background: none;
    border: none;
    cursor: pointer;
    display: none;
    align-items: center;
    justify-content: center;
}
.boton_desplegar_filtros img{
    max-width: 20px;
}
.subcontenedor_filtros{
    overflow: hidden;
    transition: 0.2s ease-in-out;
}
.subcontenedor_filtros.activo{
    height: max-content;
    transition: 0.2s ease-in-out;
}
@media screen and (max-width:1000px){
    .boton_desplegar_filtros{
        display: flex;
    }
    .contenedor_filtros{
        width: 100%;
        max-width: 100%;
    }
    .subcontenedor_filtros{
        height: 0px;
    }
    .contenedor_catalogo{
        flex-direction: column;
        margin-bottom: 30px;
    }
    .tarjeta_catalogo{
        max-width: 280px;
        height: 420px;
    }
    .catalogo_anuncios{
        grid-template-columns: repeat(auto-fit,minmax(280px,280px));
    }
    .precio_tarjeta{
        flex-direction: column;
    }
    .precio_tarjeta .cuotas p,.precio_tarjeta .contado p{
        font-size: 12px;
    }
    .precio_tarjeta .cuotas span,.precio_tarjeta .contado span{
        font-size: 12px;
    }
    .tarjeta_catalogo .descripcion_tarjeta{
        height: 100px;
    }
    .tarjeta_catalogo .imagen_tarjeta{
        height: 230px;
    }
}
@media screen and (max-width:600px){
    .contenedor_catalogo{
        margin-bottom: 20px;
    }
    .tarjeta_catalogo{
        max-width: 200px;
        height: 420px;
    }
    .catalogo_anuncios{
        grid-template-columns: repeat(auto-fit,minmax(200px,200px));
        column-gap: 5px;
        row-gap: 5px;
    }
    .tarjeta_catalogo .descripcion_tarjeta{
        height: 110px;
    }
    .tarjeta_catalogo .imagen_tarjeta{
        height: 230px;
    }
    .tarjeta_catalogo .descripcion_tarjeta p{
        font-size: 13px;
    }
    .tarjeta_catalogo .descripcion_tarjeta span{
        font-size: 10px;
    }
}
@media screen and (max-width:430px){
    .tarjeta_catalogo{
        max-width: 180px;
        height: 410px;
    }
    .catalogo_anuncios{
        grid-template-columns: repeat(auto-fit,minmax(180px,180px));
    }
    .tarjeta_catalogo .descripcion_tarjeta{
        height: 100px;
    }
    .precio_tarjeta .cuotas p,.precio_tarjeta .contado p{
        font-size: 11px;
    }
    .precio_tarjeta .cuotas span,.precio_tarjeta .contado span{
        font-size: 11px;
    }
}